<?php // $Revision: 1.9 $
/* vim: set expandtab ts=4 sw=4 sts=4: */

/**
 * $Id: admin.php,v 1.9 2003/12/08 02:25:47 madbear Exp $
 * 
 * Copyright (c) 2003 by the NetOffice developers
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

$checkSession = true;
require_once('../includes/library.php');

if ($profilSession != 0) {
    header('Location: ../general/permissiondenied.php');
    exit;
} 

require_once('../themes/' . THEME . '/header.php');

$blockPage = new block();
$blockPage->openBreadcrumbs();
$blockPage->itemBreadcrumbs($blockPage->buildLink('../administration/admin.php', $strings['administration'], in));
$blockPage->itemBreadcrumbs($strings['admin_intro']);
$blockPage->closeBreadcrumbs();

if ($msg != '') {
    require_once('../includes/messages.php');
    $blockPage->messagebox($msgLabel);
} 

$block1 = new block();
$block1->heading($strings['administration']);

$block1->openContent();
$block1->contentTitle($strings['admin_intro']);

$block1->contentRow('', $blockPage->buildLink('../users/listusers.php', $strings['user_management'], in));
$block1->contentRow('', $blockPage->buildLink('../services/listservices.php', $strings['service_management'], in));

if ($supportType == 'admin') {
    $block1->contentRow('', $blockPage->buildLink('../administration/support.php', $strings['support_management'], in));
} 

if ($databaseType == 'mysql') {
    $block1->contentRow('', $blockPage->buildLink('../administration/phpmyadmin.php', $strings['database'], in));
} 

$block1->contentRow('', $blockPage->buildLink('../administration/systeminfo.php', $strings['system_information'], in));
$block1->contentRow('', $blockPage->buildLink('../administration/mycompany.php', $strings['company_details'], in));
$block1->contentRow('', $blockPage->buildLink('../administration/listlogs.php', $strings['logs'], in));
$block1->contentRow('', $blockPage->buildLink('../administration/updatesettings.php', $strings['edit_settings'], in));

if ($updateChecker == 'true' && $installationType == 'online') {
    $block1->contentRow('', updatechecker($version));
} 

if (is_dir('../installation')) {
    $block1->contentRow('', '<b>' . $strings['attention'] . '</b> : ' . $strings['install_erase']);
} 

$block1->closeContent();

require_once('../themes/' . THEME . '/footer.php');

?>
